package com.yyrh.ui.widget;


import android.content.Context;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.widget.TextView;

/**
 * Created by admin on 2017/11/10.
 */

public class MarqueTextView extends TextView {
    public MarqueTextView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        setLineBG();

    }



    public MarqueTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
        setLineBG();
    }

    public MarqueTextView(Context context) {
        super(context);
        setLineBG();
    }

    private void setLineBG() {
        getPaint().setFlags(Paint.UNDERLINE_TEXT_FLAG|Paint.ANTI_ALIAS_FLAG);
        getPaint().setAntiAlias(true);
    }
    @Override

    public boolean isFocused() {
        return true;
    }
}
